2017-12-17 16:29 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000595openmediavaultClarifypublic2017-12-04 21:21
ReporterT-Dawg 
Assigned Tovotdev 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionOmnius (0.3.x) 
Summary0000595: relayhost should be encapsulated in square brackets
DescriptionWhen saving a relay SMTP server for sending e-mails, OMV saves the relayhost in /etc/postfix/main.cf without square brackets. This means that postfix will do an MX DNS lookup on the given hostname then use that as a relay

This is probably not what most users have in mind when putting a relay server in the OMV web interface and can cause much confusion (it certainly did with me)

If you enter the relayhost with [] it will use the A record for that hostname instead of the MX record

Using [hostname] in OMV web interface works too - so if you do not want to change main.cf output by default, it may be worth at least adding this disclaimer to the help text below mail server field
TagsNo tags attached.
Product build
Attached Files

-Relationships
+Relationships

-Notes

~0001665

votdev (administrator)

Fixed in openmediavault 0.3.0.25, see http://openmediavault.svn.sourceforge.net/viewvc/openmediavault?view=revision&revision=327

~0001707

votdev (administrator)

Seems that the fix has more disadvantages than advantages. See http://forums.openmediavault.org/viewtopic.php?f=3&t=457

~0005057

votdev (administrator)

Fixed in openmediavault 4.0.15, see https://github.com/openmediavault/openmediavault/commit/f0bb38e8a17eed933ff2878cc7651264218e78c8.
+Notes

-Issue History
Date Modified Username Field Change
2012-09-09 00:12 T-Dawg New Issue
2012-09-09 00:12 T-Dawg Status new => assigned
2012-09-09 00:12 T-Dawg Assigned To => votdev
2012-09-10 19:22 votdev Note Added: 0001665
2012-09-10 19:22 votdev Status assigned => resolved
2012-09-10 19:22 votdev Fixed in Version => Omnius (0.3.x)
2012-09-10 19:22 votdev Resolution open => fixed
2012-09-24 09:48 votdev Note Added: 0001707
2017-12-04 21:21 votdev Note Added: 0005057
+Issue History